include	clib.inc
include	dos.inc

PPROC	setfdate, handle:word, datew:word, timew:word
	stc
	mov	ax,5701h
	mov	bx,handle
	mov	dx,datew
	mov	cx,timew
	int	21h
	jc	setfdate_err
	xor	ax,ax
    setfdate_end:
	ret
    setfdate_err:
	call	@dosmaper
	mov	ax,-1
	jmp	setfdate_end
PEND	setfdate

	END